%define upstream_name    XML-SAX-Expat
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

License:    Artistic or GPL+
Group:      Development/Perl
Summary:    SAX2 Driver for perl Expat Module
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/XML-SAX-Expat-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::NamespaceSupport) >= 0.30.0
BuildRequires: perl(XML::Parser) >= 2.270.0
BuildRequires: perl(XML::SAX) >= 0.30.0
BuildRequires: perl(XML::SAX::Base) >= 1.0.0
BuildArch:  noarch
Requires(post): perl-XML-SAX

%description
An implementation of a SAX2 driver sitting on top of Expat (XML::Parser). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some autoregistration stufif, moved to %post
perl -pi -e 'm/^sub MY/ and exit' Makefile.PL
chmod -x Changes
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
chmod -x $RPM_BUILD_ROOT/%{perl_vendorlib}/XML/SAX/Expat.pm

%post 
# directly taken from Makefile
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.510.0-7pclos2017
- rebuild against updates

